import grok
from waeup.ikoba.interfaces import MessageFactory as _
from waeup.ikoba.payments.interfaces import IPaymentGatewayService
from waeup.ikoba.payments.payment import Payment


class DemoCreditcardPaymentService(grok.GlobalUtility):
    """A demo payment gateway service.

    This one supports credit card payments.
    """
    grok.implements(IPaymentGatewayService)
    grok.name('demo')

    title = _(u'Demo Creditcard')

    def create_payment(self, payer, payment_item,  payee=None):
        """Create a payment.
        """
        payment = Payment()
        payment.gateway_service = 'demo'  # must be grok.name above
        payment.payed_item_id = payment_item.item_id
        payment.amount = payment_item.amount
        payment.payer_id = payer.payer_id
        return payment
